
CREATE DATABASE message_archive charset  utf8mb4;

USE message_archive;

CREATE TABLE messages (
    id INT AUTO_INCREMENT PRIMARY KEY,
    group_id varchar(20) not null ,
    timestamp VARCHAR(20) NOT NULL,
    sender VARCHAR(255) NOT NULL,
    content TEXT   NULL,
    message_type VARCHAR(50)   NULL,
    attachment_url VARCHAR(512) DEFAULT NULL
);